Global SettingsUpdate NDVR Settings

Update NDVR Settings

update stream ndvr setting

curl -X POST "https://api.5centscdn.com/v2/streams/settings/record/ndvr" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "enabled": "Y",
  "retention": 5,
  "mode": "save"
}'
{
  "result": "success",
  "message": "Stream Settings Updated. Please wait till the deployment completes."
}
POST
/streams/settings/record/ndvr
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
enabledstring

Enable or disable nDVR. Y means enabled, N means disabled.

retentioninteger

Rewind period in minutes. Min 5 max 180.

Format: int32
modestring

Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. append — appends the values to existing streams data and updates. overwrite — overwrites the existing streams values, replacing them and updates.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
enabledstring

Enable or disable nDVR. Y means enabled, N means disabled.

Example:
Y
retentioninteger

Rewind period in minutes. Min 5 max 180.

Example:
5
modestring

Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. append — appends the values to existing streams data and updates. overwrite — overwrites the existing streams values, replacing them and updates.

Example:
save

Responses

resultstring

Status of the API response.

messagestring

Human-readable message describing the result.